Mycroft Community Forum

Please wait a moment while I finish booting up

I am trying to get Mycroft going on an Ubuntu laptop. I seem to have the microphone and audio working, but it never finishes booting up. When I try and ask a question all I get is ‘Please wait a moment while I finish booting up’
can anyone suggest a fix please?
Aaron

Hi @aaron57 welcome back!

Do you have anything in the logs (/var/log/mycroft/)?

1 Like

Thanks for getting back to me
I have audio.log, bus.log. enclosure.log skills.log and voice.log.
This is some of skills.log:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/mycroft/messagebus/client/client.py”, line 131, in on_error
self.emitter.emit(‘error’, error)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 111, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/pyee/_base.py”, line 83, in _emit_handle_potential_error
raise error
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/guest2/mycroft-core/.venv/lib/python3.5/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
2020-12-31 16:42:42.915 | ERROR | 19583 | mycroft.messagebus.client.client:on_error:135 | Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
2020-12-31 16:42:42.926 | WARNING | 19583 | mycroft.messagebus.client.client:on_error:138 | Message Bus Client will reconnect in 60 seconds.
2020-12-31 16:43:43.012 | ERROR | 19583 | mycroft.messagebus.client.client:on_error:128 | === ConnectionRefusedError(111, ‘Connection refused’) ===

Please use the code button image to format your output, it’s simpler to read :stuck_out_tongue:

It seems that the skills service is not able to connect to the bus, do you have any firewall or custom mycroft.conf configuration?

Oops. Sorry about sending the log file naughtily! No, I don’t have any special set up as far as I know. Mycroft was able to answer questions correctly a week ago. I’ve no idea what I did to dumb him down… I use Linux, but I’m not very good under the bonnet.
Thanks
Aaron

Does the bus service is running?

Yes I think so. In the top of the CLI it says ‘Connected to Messagebus!’ in red letters

Did you try to restart the skills service?

How do you restart the skills service please?

start-mycroft.sh skills restart

1 Like

Brilliant.
That worked
Thanks
Aaron

2 Likes

I’m glad to read this!

1 Like

Hi @goldyfruit . I tried as you said. but in the /var/log/mycroft/skill.log, there are some errors and Still facing the (“Please wait a moment while I finish booting up”)

skill.log
2021-09-13 10:36:22.237 | INFO | 49999 | mycroft.messagebus.load_config:load_message_bus_config:33 | Loading message bus configs
2021-09-13 10:36:22.239 | INFO | 49999 | mycroft_bus_client.client.client | Connected
2021-09-13 10:36:22.240 | INFO | 49999 | mycroft.util.process_utils:start_message_bus_client:155 | Connected to messagebus
Traceback (most recent call last):
File “/home/killermachine/mycroft-core/mycroft/identity/init.py”, line 55, in load
identity_lock.acquire()
File “/home/killermachine/mycroft-core/mycroft/util/combo_lock.py”, line 59, in acquire
self.plock.acquire()
File “/home/killermachine/mycroft-core/.venv/lib/python3.8/site-packages/fasteners-0.14.1-py3.8.egg/fasteners/process_lock.py”, line 151, in acquire
self._do_open()
File “/home/killermachine/mycroft-core/.venv/lib/python3.8/site-packages/fasteners-0.14.1-py3.8.egg/fasteners/process_lock.py”, line 123, in _do_open
self.lockfile = open(self.path, ‘a’)
PermissionError: [Errno 13] Permission denied: ‘/tmp/identity-lock’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/killermachine/anaconda3/lib/python3.8/runpy.py”, line 194, in _run_module_as_main
return _run_code(code, main_globals, None,
File “/home/killermachine/anaconda3/lib/python3.8/runpy.py”, line 87, in _run_code
exec(code, run_globals)
File “/home/killermachine/mycroft-core/mycroft/skills/main.py”, line 295, in
main()
File “/home/killermachine/mycroft-core/mycroft/skills/main.py”, line 217, in main
skill_manager = _initialize_skill_manager(bus, watchdog)
File “/home/killermachine/mycroft-core/mycroft/skills/main.py”, line 263, in _initialize_skill_manager
skill_manager = SkillManager(bus, watchdog)
File “/home/killermachine/mycroft-core/mycroft/skills/skill_manager.py”, line 135, in init
self.settings_downloader = SkillSettingsDownloader(self.bus)
File “/home/killermachine/mycroft-core/mycroft/skills/settings.py”, line 363, in init
self.api = DeviceApi()
File “/home/killermachine/mycroft-core/mycroft/api/init.py”, line 223, in init
super(DeviceApi, self).init(“device”)
File “/home/killermachine/mycroft-core/mycroft/api/init.py”, line 56, in init
self.identity = IdentityManager.get()
File “/home/killermachine/mycroft-core/mycroft/identity/init.py”, line 101, in get
IdentityManager.load()
File “/home/killermachine/mycroft-core/mycroft/identity/init.py”, line 59, in load
identity_lock.release()
File “/home/killermachine/mycroft-core/mycroft/util/combo_lock.py”, line 64, in release
self.plock.release()
File “/home/killermachine/mycroft-core/.venv/lib/python3.8/site-packages/fasteners-0.14.1-py3.8.egg/fasteners/process_lock.py”, line 180, in release
raise threading.ThreadError(“Unable to release an unacquired”
RuntimeError: Unable to release an unacquired lock

Hi @vikash100

You got a permission denied on /tmp/identity-lock , check the permissions.

So, Is there any way to change the permissions?

And i don’t see any folder named /identity-lock folder in my /tmp.

Using chown will help you to change the permissions.

There is something wrong with hw identification, if the ~/.mycroft/identity/identity2.json could be read, these checks wouldn’t happen.

Check the /tmp permission nonetheless

Ok. Now really thanks to @goldyfruit for telling me how to change permissions. and now
I just can’t able to hear what Mycroft says. But I can to it and it did save in voice.log.

But the audio.log is empty. And too, if i run ./start-mycroft.sh audiotest it can able to here what i say and play it back.

Other than that, everything is just working fine.